#ifndef CONSTANTS_H
#define CONSTANTS_H
/* Copyright (C) 2014 by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */

/** @file Common definitions for this project.
 *
 * This file can be included to pull in common
 * definitions in the application. */

/**@def The version of the software package. */
#ifndef VERSION
#define VERSION "0.0.1"
#endif

/**@def The user visible application name. */
#ifndef APPNAME
#define APPNAME "undefined"
#endif

/**@def The user visible organization behind this. */
#ifndef ORGANIZATION
#define ORGANIZATION "Intevation GmbH"
#endif

/**@def Short command line description. */
#define DESCRIPTION "A tool to replay recorded user sessions."

/**@def Short copyright notice to show users. */
#define COPYRIGHT "Copyright (C) 2015 Intevation GmbH \n\n" \
                  "This file is Free Software under the GNU GPL (v>=2)\n" \
                  "and comes with ABSOLUTELY NO WARRANTY!\n"

/**@def the config key for the last selected root folder. */
#define ROOT_FOLDER_KEY "RootFolder"

/**@def the config key for the root folder info pattern. */
#define ROOT_FOLDER_PATTERN_KEY "RootFolderPattern"

/**@def the default value for the root folder pattern */
#define DEFAULT_ROOT_PATTERN "Datum_Fachnummr_Batch-Nr."

/**@def the config key for the last selected subfolder. */
#define SUB_FOLDER_KEY "SubFolder"

/**@def the config key for the sub folder info pattern. */
#define SUB_FOLDER_PATTERN_KEY "SubFolderPattern"

/**@def the default value for the root folder pattern */
#define SUB_FOLDER_PATTERN "IP-Addr_Nethz-Login"

/**@def how to format a timestamp */
#define LONG_DATE_FORMAT "dd.MM.yyyy, hh:mm:ss.zzz"

/**@def the config key for the replay speed */
#define REPLAY_SPEED_KEY "MSecsPerPicture"

/**@def the default value for the replay speed in ms*/
#define REPLAY_SPEED_DEFAULT 1000

#endif // CONSTANTS_H
